Bug 215361 - Refactoring Results Filters
Refactoring Results Filters
Status: RESOLVED FIXED
Product: editor
Classification: Unclassified
Component: Refactoring
7.3
All All
: P2 (vote)
: 7.3
Assigned To: Ralph Ruijs
issues@editor
: API_REVIEW_FAST
Depends on:
Blocks: 159993 212444
  Show dependency treegraph
 
Reported: 2012-07-10 14:37 UTC by Ralph Ruijs
Modified: 2012-08-10 02:25 UTC (History)
6 users (show)

See Also:
Issue Type: ENHANCEMENT
:


Attachments
Proposed API (58.92 KB, patch)
2012-07-11 09:30 UTC, Ralph Ruijs
Details | Diff
Java Implementation (53.65 KB, patch)
2012-07-11 09:30 UTC, Ralph Ruijs
Details | Diff
Proposed API (60.14 KB, patch)
2012-08-07 09:23 UTC, Ralph Ruijs
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Ralph Ruijs 2012-07-10 14:37:24 UTC
The Refactoring API needs a way to support filters of the Find Usages results. The proposed API allows refactoring plugins to add/enable filters to the results window and refactoring elements to specify if they should be included in the results.
Comment 1 Ralph Ruijs 2012-07-11 09:30:05 UTC
Created attachment 121923 [details]
Proposed API
Comment 2 Ralph Ruijs 2012-07-11 09:30:33 UTC
Created attachment 121924 [details]
Java Implementation
Comment 3 Ralph Ruijs 2012-07-11 09:39:04 UTC
Please review.
Comment 4 Jan Becicka 2012-07-24 14:53:38 UTC
JB1: AbstractRefactoring.getFilterDescription() should be final, right?
JB2: RefactoringSession.isFinished() - why public? Is this change related to this issue?
Comment 5 Ralph Ruijs 2012-08-07 09:23:37 UTC
Created attachment 122826 [details]
Proposed API
Comment 6 Ralph Ruijs 2012-08-07 09:26:09 UTC
JB1&2: Both methods removed from public API

I will integrate tomorrow.
Comment 7 Ralph Ruijs 2012-08-08 07:34:10 UTC
Changeset: d4c2e693e04a
Author:    Ralph Benjamin Ruijs <ralphbenjamin@netbeans.org>
Date:      2012-08-08 09:27
Message:   Issue #215361 - Refactoring Results Filters
Comment 8 Ralph Ruijs 2012-08-08 07:34:19 UTC
Changeset: 88019e1b09c3
Author:    Ralph Benjamin Ruijs <ralphbenjamin@netbeans.org>
Date:      2012-08-08 09:32
Message:   Issue #215361 - Refactoring Results Filters
Comment 9 Quality Engineering 2012-08-10 02:25:19 UTC
Integrated into 'main-golden', will be available in build *201208100001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/d4c2e693e04a
User: Ralph Benjamin Ruijs <ralphbenjamin@netbeans.org>
Log: Issue #215361 - Refactoring Results Filters


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo